#exec AUDIO IMPORT FILE="Sounds\goldpickup.wav" name="GoldPickupSound" GROUP="GoldSounds"
class GoldPickup extends TournamentPickup
	placeable;

//var StaticMesh SmallMesh;
//var StaticMesh LargeMesh;
var int GoldAmmount;
var bool AmmountIsRandom;
var int RandomMin;
var int RandomMax;

// Start of Jane's Code
// Goal: Set the static mesh for the object after it has been created to one of the 3 default meshes
// Small is < 500, medium is < 2000, large is all other gold ammounts

//static function StaticPrecache(LevelInfo L)
//{
//	L.AddPrecacheStaticMesh();
//}

// UpdatePrecacheStaticMeshes();

// This function will trigger before play begins

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
    if ( AmmountIsRandom ) RandomAmmount();
}


// End of Jane's Code

function RandomAmmount()
{
	GoldAmmount=fRand()*RandomMax+RandomMin;
}

function string GoldMessage()
{
	return("You picked up "$string(GoldAmmount)$" gold.");
}

auto state Pickup
{
	function Touch( actor Other )
	{
	    local Pawn P;
	    P = Pawn(Other);
		if ( ValidTouch(Other) )
		{
			if ( P.Controller.Class == class'Gold.GoldController' )
			{ // Player picks up gold
				GoldController(P.Controller).PlayerGold+=GoldAmmount;
				P.ClientMessage(GoldMessage(), 'event');
			}
			else if ( Pawn(Other).Controller.Class == class'Gold.GoldAIController' )
			{ // Bot picks up gold
				GoldAIController(P.Controller).PlayerGold+=GoldAmmount;
			}
			AnnouncePickup(P);
			Destroy();
		}
	}
}

defaultproperties
{
	GoldAmmount=100 	// The default gold ammount, if not random
	AmmountIsRandom=True	// The default is to randomize the size of the pile
	RandomMin=100		// Range for the ranomed ammount
	RandomMax=1000
	MaxDesireability=0.075000
	//SmallMesh=StaticMesh''
	//LargeMesh=StaticMesh''
	RespawnTime=30.000000
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'E_Pickups.General.SuperShield'
	PickupSound=sound'GoldSounds.GoldPickupSound'
	Physics=PHYS_Rotating
}
